from sqlalchemy import Column, Integer, ForeignKey
from .base_model import BaseModel


class RolePermissionModel(BaseModel):
    """
    角色-权限关联表模型
    对应数据库表: sys_role_permissions
    """
    __tablename__ = 'sys_role_permissions'

    role_id = Column(Integer, ForeignKey('sys_roles.id'), primary_key=True)
    permission_id = Column(Integer,
                           ForeignKey('sys_permissions.id'),
                           primary_key=True)
